# LIBMINC CMake configuration file

get_filename_component(LIBMINC_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH )
get_filename_component(LIBMINC_INSTALL_PREFIX "${LIBMINC_CMAKE_DIR}" PATH)

set(HAVE_MINC2    1)
set(HAVE_EZMINC   ON)
set(HAVE_MINC1    ON)

set(NETCDF_INCLUDE_DIR "/usr/include")
set(HDF5_INCLUDE_DIR   "/usr/include/hdf5/serial")
set(NETCDF_LIBRARY     "/usr/lib/arm-linux-gnueabi/libnetcdf.so")
set(HDF5_LIBRARY       "/usr/lib/arm-linux-gnueabi/hdf5/serial/libhdf5.so;/usr/lib/arm-linux-gnueabi/libpthread.so;/usr/lib/arm-linux-gnueabi/libsz.so;/usr/lib/arm-linux-gnueabi/libz.so;/usr/lib/arm-linux-gnueabi/libdl.so;/usr/lib/arm-linux-gnueabi/libm.so")
set(ZLIB_LIBRARY       "/usr/lib/arm-linux-gnueabi/libz.so")
set(ZLIB_LIBRARIES     "/usr/lib/arm-linux-gnueabi/libz.so")

set(LIBMINC_INCLUDE_DIRS "/usr/include")
set(LIBMINC_LIBRARY_DIRS "/usr/lib/arm-linux-gnueabi")
set(LIBMINC_USE_FILE     "/usr/lib/arm-linux-gnueabi/cmake/LIBMINC/UseLIBMINC.cmake")
set(LIBMINC_LIBRARIES    "minc2;/usr/lib/arm-linux-gnueabi/hdf5/serial/libhdf5.so;/usr/lib/arm-linux-gnueabi/libpthread.so;/usr/lib/arm-linux-gnueabi/libsz.so;/usr/lib/arm-linux-gnueabi/libz.so;/usr/lib/arm-linux-gnueabi/libdl.so;/usr/lib/arm-linux-gnueabi/libm.so;/usr/lib/arm-linux-gnueabi/libz.so;rt;m;dl;/usr/lib/arm-linux-gnueabi/libnetcdf.so")

set(EZMINC_LIBRARIES    "minc_io;minc2;/usr/lib/arm-linux-gnueabi/hdf5/serial/libhdf5.so;/usr/lib/arm-linux-gnueabi/libpthread.so;/usr/lib/arm-linux-gnueabi/libsz.so;/usr/lib/arm-linux-gnueabi/libz.so;/usr/lib/arm-linux-gnueabi/libdl.so;/usr/lib/arm-linux-gnueabi/libm.so;/usr/lib/arm-linux-gnueabi/libz.so;rt;m;dl;/usr/lib/arm-linux-gnueabi/libnetcdf.so")
set(VOLUME_IO_LIBRARIES "minc2")

set(LIBMINC_STATIC_LIBRARIES    "")
set(VOLUME_IO_STATIC_LIBRARIES  "")

set( LIBMINC_FOUND 1 )

# VF: disable for now  
#if( NOT LIBMINC_TARGETS_IMPORTED AND NOT LIBMINC_BINARY_DIR )
#  set( LIBMINC_TARGETS_IMPORTED 1 )
#  include( "${LIBMINC_CMAKE_DIR}/LIBMINC-targets.cmake" )
#endif()  
